package org.ow2.util.ee.metadata.car.impl.configurator;

import org.ow2.util.ee.deploy.api.deployable.CARDeployable;
import org.ow2.util.ee.metadata.car.impl.CarDeployableMetadata;
import org.ow2.util.scan.api.configurator.IArchiveConfigurator;
import org.ow2.util.scan.api.configurator.IClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JClass;

/**
 * EjbJarArchiveMetadataConfigurator.
 * @author Gael Lalire
 */
public class CarDeployableMetadataConfigurator implements IArchiveConfigurator {

    /**
     * archive metadata.
     */
    private CarDeployableMetadata carDeployableMetadata;

    /**
     * Constructor.
     * @param warDeployable the web archive
     */
    public CarDeployableMetadataConfigurator(final CARDeployable warDeployable) {
        this.carDeployableMetadata = new CarDeployableMetadata(warDeployable);
    }

    /**
     * @param jClass signature
     * @return class configurator
     */
    public IClassConfigurator createClassConfigurator(final JClass jClass) {
        return new CarClassMetadataConfigurator(jClass, this.carDeployableMetadata);
    }

    /**
     * @return the archive metadata
     */
    public CarDeployableMetadata getCarDeployableMetadata() {
        return this.carDeployableMetadata;
    }

}
